[24346] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23944 - trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty

daemon@ATHENA.MIT.EDU (Geoffrey Thomas)
Fri Jul 31 04:18:23 2009

X-Barracuda-Envelope-From: geofft@mit.edu
Date: Fri, 31 Jul 2009 04:18:12 -0400
From: Geoffrey Thomas <geofft@MIT.EDU>
Message-Id: <200907310818.n6V8ICu5014677@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: geofft
Date: 2009-07-31 04:18:12 -0400 (Fri, 31 Jul 2009)
New Revision: 23944

Modified:
   trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/postinstall.sh
Log:
Use d-i-utils' chroot setup script before installing Debathena.

Among other nice things like /proc, this creates a fake policy-rc.d and
start-stop-daemon, so we don't start daemons in the installer (Trac: #301).

Modified: trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/postinstall.sh
===================================================================
--- trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/postinstall.sh	2009-07-31 07:25:38 UTC (rev 23943)
+++ trunk/debathena/scripts/installer/pxe/jaunty/debathena-jaunty/postinstall.sh	2009-07-31 08:18:12 UTC (rev 23944)
@@ -9,6 +9,13 @@
   cp /debathena-jaunty/pxe-install-flag /target/root/pxe-install-flag
 fi
 
+. /lib/chroot-setup.sh
+
+if ! chroot_setup; then
+	logger -t postinstall.sh -- "Target system not usable. Can't install Debathena."
+	exit 1
+fi
+
 chvt 5
 chroot /target sh /root/install-debathena.sh < /dev/tty5 > /dev/tty5 2>&1
 # This approach fails due to lingering processes keeping the
@@ -16,4 +23,5 @@
 # chroot /target sh /root/install-debathena.sh < /dev/tty5 2>&1 \
 #     | chroot /target tee /var/log/athena-install.log > /dev/tty5
 sleep 5
+chroot_cleanup
 chvt 1


home help back first fref pref prev next nref lref last post